티스토리 뷰

센트OS 프로젝트(The CentOS Project)에서 '빨간 모자' Red Hat Enterprise Linux (RHEL)의 커널 소스를 가져와 개발하는 CentOS 7과 CentOS 6 리눅스 커널의 새로운 기능 추가나 버그 수정 또는 보안 취약점 문제를 해결한 커널 3.10.0-862.3.2.el7, 커널 2.6.32-696.30.1.el6 버전이 업데이트를 통해 배포되었습니다.


--


이번 리눅스 커널 업데이트에서는 다음의 CPU 관련 취약점이 새로 발표됨에 따라 이 취약점을 완화(경감)하기 위한 보안 패치가 포함되어 있습니다.

(이런 CPU 취약점은 소프트웨어로는 해결하지 못하고, 그저 완화하고 경감할 수 있을 뿐입니다.)


<인텔(Intel), AMD, ARM 등 CPU의 Spectre Variant 4 (스펙터 변종 4)>


구글과 마이크로소프트 등에서 추측적인 메모리 판독을 활용하는 마이크로프로세서가 사이드채널 공격을 통해 권한 없는 메모리 읽기를 허용할 수 있다는 사실을 발견하였습니다. (Microprocessors utilizing speculative execution of a memory read may allow unauthorized memory reads via a sidechannel attack.) 이 취약점은 Spectre Variant 4 (스펙터 변종 4)로 알려져 있습니다. 로컬 공격자는 커널 메모리를 포함하여 민감한 정보를 노출시키기 위해 이 취약점을 악용할 수 있습니다. (CVE-2018-3639)


스펙터 변종에는 변종 1, 변종 2, 변종 3, 변종 3a, 변종 4의 5종류가 있습니다.


※ Spectre Variant 4 (스펙터 변종 4) = Speculative Store Bypass (SSB) 취약점



Red Hat Enterprise Linux 7.5 // kernel-3.10.0-862.3.2.el7


 - CVE-2018-3639 hw: cpu: speculative store bypass 

 - Note: This issue is present in hardware and cannot be fully fixed via software update. The updated kernel packages provide software side of the mitigation for this hardware issue.



Red Hat Enterprise Linux 6.9 // kernel-2.6.32-696.30.1.el6


 - CVE-2018-3639 hw: cpu: speculative store bypass 

 - Note: This issue is present in hardware and cannot be fully fixed via software update. The updated kernel packages provide software side of the mitigation for this hardware issue.



자세한 업데이트 내역은 아래 링크의 Changelog 정보를 참고하기 바랍니다.


--

[영향을 받는 리눅스 커널 및 업데이트 버전]

□ 센트OS(CentOS) 7


※ 커널 3.10 → 커널 3.10.0-862.3.2.el7 버전으로 업데이트


※ https://access.redhat.com/errata/RHSA-2018:1629

※ 2024년 6월 30일 지원 종료 예정

--

□ 
센트OS(CentOS) 6

※ 커널 2.6.32 → 커널 2.6.32-696.30.1.el6 버전으로 업데이트


※ https://access.redhat.com/errata/RHSA-2018:1651

※ 2020년 11월 30일 지원 종료 예정

--

□ 
센트OS(CentOS) 5

※ 2017년 3월 31일 지원 종료 

--

배포판의 종류와 커널 버전을 알기 위해서는 터미널에서 다음의 명령어를 입력하기 바랍니다.
lsb_release -a && uname -a

--

그러므로 센트OS(CentOS) 사용자는 터미널에서 다음의 명령어를 입력하여 최신 버전으로 업데이트하기 바랍니다.
sudo yum update

아울러 업데이트를 적용하기 위해서는 마지막에 반드시 재부팅을 하기 바랍니다.



::: 본 문서의 무단전재 및 재배포를 금지합니다 :::

댓글
댓글쓰기 폼